<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_gravity="center"
    android:background="@color/login_bk_color"
    android:focusableInTouchMode="true"
    android:gravity="center"
    tools:context=".activities.LoginActivity">


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_alignParentTop="true"
        android:layout_centerInParent="true"
        android:foregroundGravity="center"
        android:paddingTop="20dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="20dp">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:paddingBottom="40dp">

                <TextView
                    style="@style/viewParent.headerText.NoMode"
                    android:layout_width="119dp"
                    android:layout_height="106dp"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="Already \nhave an \nAccount?" />


                <TextView
                    android:id="@+id/wish"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="120sp"
                    android:layout_marginTop="20sp"
                    android:text="Wish"
                    android:textColor="@color/yellow"
                    android:textSize="30dp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/ur"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20sp"
                    android:layout_toEndOf="@+id/wish"
                    android:layout_toRightOf="@+id/wish"
                    android:text="Ur"
                    android:textColor="@color/green"
                    android:textSize="30sp" />

                <TextView
                    android:id="@+id/gift"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20sp"
                    android:layout_toEndOf="@+id/ur"
                    android:layout_toRightOf="@+id/ur"
                    android:text="Gift"
                    android:textColor="@color/colorRed"
                    android:textSize="30sp" />

                <ImageView
                    android:layout_width="65dp"
                    android:layout_height="match_parent"
                    android:layout_alignParentTop="true"
                    android:layout_alignParentRight="true"
                    android:layout_marginStart="23dp"
                    android:layout_marginLeft="23dp"
                    android:layout_marginTop="0dp"
                    android:layout_marginRight="0dp"
                    android:layout_toEndOf="@+id/gift"
                    android:layout_toRightOf="@+id/gift"
                    android:src="@drawable/cad" />
            </RelativeLayout>


            <RelativeLayout
                android:layout_width="367dp"
                android:layout_height="211dp"
                android:layout_gravity="center"
                android:gravity="center"
                android:paddingTop="20dp">


                <!--  Email Label -->
                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/email"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:layout_marginBottom="8dp">

                    <EditText
                        android:id="@+id/email_signin"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="20dp"
                        android:hint="Email"
                        android:inputType="textEmailAddress"
                        android:textSize="30dp" />
                </com.google.android.material.textfield.TextInputLayout>

                <!--  Password Label -->
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/email"
                    app:counterOverflowTextAppearance="@style/CounterOverFlow"
                    app:hintTextAppearance="@style/HintText"
                    app:passwordToggleEnabled="true">

                    <EditText
                        android:id="@+id/password_signin"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="20dp"
                        android:hint="Password"
                        android:inputType="textPassword"
                        android:textSize="30dp" />

                </com.google.android.material.textfield.TextInputLayout>


            </RelativeLayout>

            <TextView
                style="@style/viewParent"
                android:layout_height="wrap_content"
                android:layout_gravity="end"
                android:layout_marginTop="10dp"
                android:onClick="forgotPasseword"
                android:text="Forgot Password?"
                android:textColor="@color/primaryTextColor"
                android:textSize="@dimen/newsMoreTextSize" />

            <br.com.simplepass.loading_button_lib.customViews.CircularProgressButton
                android:id="@+id/login_signin"
                style="@style/loginButton"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="@dimen/loginViewsMargin"
                android:text="Login"
                app:initialCornerAngle="27dp"
                app:spinning_bar_color="#FFF"
                app:spinning_bar_padding="6dp"
                app:spinning_bar_width="4dp" />

            <TextView
                android:id="@+id/signup"
                style="@style/parent"
                android:layout_marginTop="@dimen/loginViewsMargin"
                android:onClick="onLoginClick"
                android:text="Don't Have an Account?  Sign up"
                android:textAlignment="center"
                android:textColor="@color/themeColor"
                android:textSize="17sp"
                android:textStyle="bold" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="30dp"
                android:gravity="center"
                android:weightSum="12">

                <View
                    android:layout_width="0dp"
                    android:layout_height="1dp"
                    android:layout_weight="3"
                    android:background="@color/colorPrimaryDark" />

                <TextView
                    style="@style/viewParent.headerText.NoMode"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="6"
                    android:text="Use other Methods"
                    android:textAlignment="center"
                    android:textSize="12sp" />

                <View
                    android:layout_width="0dp"
                    android:layout_height="1dp"
                    android:layout_weight="3"
                    android:background="@color/colorPrimaryDark" />

            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:gravity="center"
                android:orientation="horizontal">


                <com.google.android.gms.common.SignInButton
                    android:id="@+id/google_sign_in"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentStart="true"
                    android:layout_alignParentBottom="true" />

            </RelativeLayout>


        </LinearLayout>
    </ScrollView>

    <View
        android:layout_width="11dp"
        android:layout_height="match_parent"
        android:layout_alignParentTop="true"
        android:layout_alignParentRight="true"
        android:layout_marginTop="20dp"
        android:background="@drawable/ic_side_bg" />

    <ImageView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        android:layout_marginRight="11dp"
        android:layout_marginBottom="30dp"
        android:onClick="onLoginClick"
        android:src="@drawable/ic_add_img" />
</RelativeLayout>